package cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.id;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.CaGwBuilder;
import cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.id.balance.Balance;
import cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.id.transactions.Transactions;
import cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.id.transactions.TransactionsWithParams;

public class IdBuilder extends CaGwBuilder {

    public IdBuilder(Harness harness) {
        super(harness);
    }

    public Balance prepareBalanceRequest() {
        return getBuilder(Balance.class);
    }

    public Transactions prepareTransactionsRequest() {
        return getBuilder(Transactions.class);
    }

    public TransactionsWithParams prepareTransactionsWithParamsRequest() {
        return getBuilder(TransactionsWithParams.class);
    }
    
}